Package org.eclipse.mat.inspections.jetty

# Class JettyRequestResolver

java.lang.Object
org.eclipse.mat.inspections.jetty.JettyRequestResolver

All Implemented Interfaces:
  `IRequestDetailsResolver`

public class JettyRequestResolver extends Object implements IRequestDetailsResolver

## Constructor Summary

Constructors
Constructor
Description
`JettyRequestResolver()`

## Method Summary

Modifier and Type
Method
Description
`void`
`complement(ISnapshot snapshot, IThreadInfo thread, int[] javaLocals, int thisJavaLocal, IProgressListener listener)`
Add extra details

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JettyRequestResolver

public JettyRequestResolver()

## Method Details

### complement

public void complement(ISnapshot snapshot, IThreadInfo thread, int[] javaLocals, int thisJavaLocal, IProgressListener listener) throws SnapshotException
Description copied from interface: `IRequestDetailsResolver`
Add extra details

Specified by:
  `complement` in interface `IRequestDetailsResolver`
Parameters:
  `snapshot` - the whole dump
  `thread` - the thread processing the request
  `javaLocals` - all the local variables, as ids
  `thisJavaLocal` - this particular object, as an id
  `listener` - to show progress and log errors
Throws:
  `SnapshotException`